Bug 629804 - No programlisting callout pointer icons above #23
No programlisting callout pointer icons above #23
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Ruediger Landmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-02 22:14 EDT by Scott Mumford
Modified: 2010-11-23 23:17 EST (History)
4 users (show)

See Also:
Fixed In Version: publican-2.2-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 16:41:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing callout icons then numerical callouts. (44.99 KB, image/png)
2010-09-02 22:14 EDT, Scott Mumford
no flags Details

  None (edit)
Description Scott Mumford 2010-09-02 22:14:44 EDT
Created attachment 442775 [details]
Screenshot showing callout icons then numerical callouts.

Description of problem:
Publican only supplies programlisting callout icons for pointers numbered 1 - 23. I have a programlisting that requires 32 pointers.

Although splitting the programlisting into smaller sections would be a workaround, in this instance, doing so would affect the context of the information (a large configuration file).

Version-Release number of selected component (if applicable):
version=2.1

How reproducible:
100%

Steps to Reproduce:
1. Add more than 23 callouts to a programlistingco
2. Build the book with Publican
  
Actual results:
Any programlisting callouts over 23 appear as numerals instead of an icon (both in the programlisting itself and in the callout list).

Expected results:
All programlisting callouts should appear as icons, not text numerals.

Additional info:
A screenshot is attached.
Comment 1 Ruediger Landmann 2010-09-07 23:19:57 EDT
I've added callout icons up to 40 in the common brand, JBoss brand, and several other brands. 

Along the way, Ryan Lerch pointed out to me that we could make a number of other refinements to the callout labels at the same time:

* Ease future maintenance by deriving the PNG versions of the labels directly from their SVG equivalents

* Match the colours in the common, Fedora, and FreeIPA brands to the predominant colours in those brands

* Change the font to Droid Sans to match the font used in Red Hat and Fedora diagrams and which is freely available to anyone else who wants to use it.
Comment 2 Fedora Update System 2010-10-05 23:05:47 EDT
publican-2.2-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc13
Comment 3 Fedora Update System 2010-10-05 23:06:07 EDT
publican-2.2-0.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc12
Comment 4 Fedora Update System 2010-10-05 23:06:28 EDT
publican-2.2-0.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc14
Comment 5 Fedora Update System 2010-10-08 16:39:28 EDT
publican-2.2-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.